Package Base Details: gprbuild

Git Clone URL: https://aur.archlinux.org/gprbuild.git (read-only, click to copy)
Submitter: None
Maintainer: charlie5 (xiretza)
Last Packager: xiretza
Votes: 25
Popularity: 0.080758
First Submitted: 2010-02-03 13:25
Last Updated: 2020-06-06 13:41

Packages (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Dettorer commented on 2015-11-20 18:43

Changing the source url of gprbuild to http://mirrors.cdn.adacore.com/art/564b3e2ec8e196b040fbd13a should fix it.

valexey commented on 2015-11-20 08:57

It looks like url is invalid now:

$ makepkg -si
==> Making package: gprbuild 2015-1 (Fri Nov 20 11:56:50 UTC 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading 3c2da2f1d3335d39bc9ebb65a3a58264ddac6d41...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading 3c2da2f1d3335d39bc9ebb65a3a58264ddac6d41
Aborting...

Georgios commented on 2014-07-29 17:17

Is this truly out of date? Because the 2014 GPL version doesn't build with FSF's gnat.

Anonymous comment on 2013-07-28 06:01

fails for other localizations than english. please add this patch: https://gist.github.com/oenone/6097591

aayjaychan commented on 2013-07-27 07:48

The package installs gprbind and gprlib in /usr/libexec/gprbuild. Is it possible to patch it to use /usr/lib/gprbuild instead?

titiwu commented on 2013-07-22 17:56

Thanks, that helped!

Sietse commented on 2013-07-19 12:37

@titiwu Please try to recompile your xmlada, that should fix the problem.

titiwu commented on 2013-07-18 16:36

I get the following error building this package:

fatal error: file dom.ali is incorrectly formatted
make sure you are using consistent versions of gcc/gnatbind
7.
|
gnatmake: *** bind failed.

My System is up to date (x86_64, gcc-ada 4.8.1-1, xmlada 4.1-3)

Any suggestions?

Sietse commented on 2013-07-14 10:54

Updated to 2013 version so we can finally use gprinstall!

Sietse commented on 2013-07-10 16:02

@oenone, if you have can't update this package, it might be time to disown it so other people can adopt it. 2013 is out now.